PHP 手冊
前一頁 |  | 下一頁

# ftp_set_option

(PHP 4 >= 4.2.0, PHP 5)

ftp_set_option -- Set miscellaneous runtime FTP options

## Description

bool ftp_set_option ( resource ftp_stream, int option, mixed value )

This function controls various runtime options for the specified FTP stream.

## Parameters

ftp_stream

  The link identifier of the FTP connection.

option

  Currently, the following options are supported:

  表格 1. Supported runtime FTP options

  `FTP_TIMEOUT_SEC` | Changes the timeout in seconds used for all network related functions. value must be an integer that is greater than 0. The default timeout is 90 seconds.
  `FTP_AUTOSEEK` | When enabled, GET or PUT requests with a resumepos or startpos parameter will first seek to the requested position within the file. This is enabled by default.

value

  This parameter depends on which option is chosen to be altered.

## Return Values

Returns `TRUE` if the option could be set; `FALSE` if not. A warning message will be thrown if the option is not supported or the passed value doesn't match the expected value for the given option.

## 範例

範例 1. ftp_set_option() example

`<?php // Set the network timeout to 10 seconds ftp_set_option($conn_id, FTP_TIMEOUT_SEC, 10); ?>`

## 參考

ftp_get_option()

前一頁 | 內容 | 下一頁
ftp_rmdir | 上一層 | ftp_site